Name:     dunst
Version:  1.9.0
Release:  1%{?dist}
Summary:  Simple and configurable notification-daemon
Group:    User Interface/X
License:  BSD and MIT
URL:      https://dunst-project.org
Source0:  https://github.com/dunst-project/dunst/archive/v%{version}.tar.gz
Requires: dbus
# keep this sorted please
BuildRequires: cairo-devel
BuildRequires: dbus-devel
BuildRequires: gdk-pixbuf2-devel
BuildRequires: glib2-devel
BuildRequires: gtk2-devel
BuildRequires: libnotify-devel
BuildRequires: libpng-devel
BuildRequires: libxdg-basedir-devel
BuildRequires: libXft-devel
BuildRequires: libXinerama-devel
BuildRequires: libXScrnSaver-devel
BuildRequires: libX11-devel
BuildRequires: pango-devel
BuildRequires: systemd
BuildRequires: /usr/bin/pod2man
Provides: desktop-notification-daemon


%description
Dunst is a highly configurable and lightweight notification daemon with the
similar look and feel to dmenu.


%prep
%autosetup -q -p1


%build
make %{?_smp_mflags} VERSION=%{version} PREFIX=%{_prefix} SYSCONFDIR=%{_sysconfdir} SYSTEMD=1 EXTRACFLAGS="%{optflags}"


%install
make install DESTDIR=%{buildroot} PREFIX=%{_prefix} SYSCONFDIR=%{_sysconfdir}


#%check
#%make_build test %{make_options}


%post
%systemd_user_post %{name}.service
%preun
%systemd_user_preun %{name}.service


%files
%doc AUTHORS CHANGELOG.md LICENSE README.md RELEASE_NOTES
%license LICENSE
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/dunstrc
%{_bindir}/%{name}
%{_bindir}/dunstctl
%{_bindir}/dunstify
%{_datadir}/dbus-1/services/org.knopwob.%{name}.service
%{_userunitdir}/%{name}.service
%{_datadir}/man/man1/%{name}.1.gz
%{_datadir}/man/man5/%{name}.5.gz
%{_datadir}/man/man1/dunstctl.1.gz


%changelog
