Name:           i3lock
Version:        2.13
Release:        1%{?dist}
Summary:        Simple X display locker like slock
License:        MIT
URL:            http://i3wm.org/i3lock/
Source0:        http://i3wm.org/%{name}/%{name}-%{version}.tar.bz2
# TODO: Replace these below with pkgconfig\(\) in the future in rapt
# with guidelines.
BuildRequires:  cairo-devel
BuildRequires:  pam-devel
BuildRequires:  libev-devel
BuildRequires:  libxcb-devel
BuildRequires:  libXext-devel
BuildRequires:  libxkbcommon-devel
BuildRequires:  libxkbcommon-x11-devel
BuildRequires:  libxkbfile-devel
BuildRequires:  libXpm-devel
BuildRequires:  xcb-util-keysyms-devel
BuildRequires:  xcb-util-image-devel
BuildRequires:  xcb-util-devel

%description
i3lock improves slock by making it fork() and therefore combinable with commands
to suspend your computer. Additionally, instead of turning off your screen via
DPMS and/or displaying a black screen, i3lock displays a white screen so you can
see if your computer failed to resume from suspend or if your screen is just 
locked. Also, when entering a wrong password, i3lock does not call XBell().
This is important because i3lock/slock think you’ve entered a password when 
resuming from suspend, at least sometimes.

%prep
%setup -q


%build
%configure
# Relocatable.
sed \
    -e 's|PREFIX=/usr|PREFIX=%{_prefix}|g'              \
    -e 's|SYSCONFDIR=/etc|SYSCONFDIR=%{_sysconfdir}|g'  \
    -e 's|-Wall|%{optflags}|g'                                          \
    -i Makefile
CFLAGS="%{optflags}" LDFLAGS="%{?__global_ldflags}" %make_build


%install
%make_install INSTALL="install -p"
install -Dpm0644 i3lock.1 %{buildroot}%{_mandir}/man1/i3lock.1


%files
%doc CHANGELOG README*
%license LICENSE
%{_bindir}/%{name}
%{_sysconfdir}/pam.d/%{name}
%{_mandir}/man1/i3lock.1*


%changelog
