Name:           i3status
Version:        2.14
Release:        1%{?dist}
Summary:        Status bar generator for i3bar, dzen2, xmobar or similar programs
License:        MIT
URL:            http://i3wm.org/i3status/
Source0:        http://i3wm.org/%{name}/%{name}-%{version}.tar.xz
BuildRequires:  gcc
BuildRequires:  alsa-lib-devel
BuildRequires:  asciidoc
BuildRequires:  libconfuse-devel
#BuildRequires:  wireless-tools-devel
BuildRequires:  yajl-devel
BuildRequires:  libnl3-devel
BuildRequires:  pulseaudio-libs-devel


%description
i3status is a small program for generating a status bar for i3bar, dzen2, 
xmobar or similar programs. It is designed to be very efficient by issuing a 
very small number of system calls, as one generally wants to update such a 
status line every second. This ensures that even under high load, your status 
bar is updated correctly. Also, it saves a bit of energy by not hogging your 
CPU as much as spawning the corresponding amount of shell commands would.


%prep
%setup -q
#rm -frv yajl-fallback/
#autoreconf -fi


%build
export CFLAGS="%optflags"
export CXXFLAGS="%optflags"
export FFLAGS="%optflags"
export LDFLAGS="%{?__global_ldflags}"
%meson
%meson_build
#doxygen pseudo-doc.doxygen
#mv pseudo-doc/html pseudo-doc/doxygen


%install
%meson_install


%files
%doc CHANGELOG
%license LICENSE
%{_bindir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_mandir}/man*/%{name}*


%changelog
