%define moduledir %(pkg-config xorg-server --variable=moduledir )
%define driverdir	%{moduledir}/drivers
%define gitdate 20200205
%define gitrev .%{gitdate}

%undefine _hardened_build

Summary:   Xorg X11 Intel video driver
Name:      xorg-x11-drv-intel
Version:   2.99.917
Release:   49%{?gitrev}%{?dist}
URL:       http://www.x.org
License:   MIT

%if 0%{?gitdate}
Source0:    xf86-video-intel-%{gitdate}.tar.bz2
%else
Source0:    https://xorg.freedesktop.org/archive/individual/driver/xf86-video-intel-%{version}.tar.bz2
%endif
Source4:    make-git-snapshot.sh

Patch0:	    intel-gcc-pr65873.patch
# https://bugs.freedesktop.org/show_bug.cgi?id=96255#c11
Patch4:     0001-sna-Avoid-clobbering-output-physical-size-with-xf86O.patch

ExclusiveArch: %{ix86} x86_64

BuildRequires: make
BuildRequires: autoconf automake libtool
BuildRequires: xorg-x11-server-devel >= 1.10.99.902
BuildRequires: libX11-devel
BuildRequires: libXcursor-devel
BuildRequires: libXdamage-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libXinerama-devel
BuildRequires: libXrandr-devel
BuildRequires: libXrender-devel
BuildRequires: libXtst-devel
BuildRequires: libXvMC-devel
BuildRequires: libXfont2-devel
BuildRequires: mesa-libGL-devel >= 6.5-9
BuildRequires: libdrm-devel >= 2.4.25
BuildRequires: kernel-headers >= 2.6.32.3
BuildRequires: libudev-devel
BuildRequires: libxcb-devel >= 1.5
BuildRequires: xcb-util-devel
BuildRequires: cairo-devel
BuildRequires: python3
BuildRequires: libXScrnSaver-devel
BuildRequires: libXext-devel
BuildRequires: pixman-devel
# XXX this wants an upstream fix
BuildRequires: libXv-devel

Requires: Xorg %(xserver-sdk-abi-requires ansic)
Requires: Xorg %(xserver-sdk-abi-requires videodrv)
Requires: polkit

%description
X.Org X11 Intel video driver.

%if 0%{?gitdate}
%define dirsuffix %{gitdate}
%else
%define dirsuffix %{version}
%endif

%prep
%setup -q -n xf86-video-intel-%{?gitdate:%{gitdate}}%{!?gitdate:%{dirsuffix}}
%patch0 -p1 -b .gcc
%patch4 -p1

%build
# This package causes LTO to thrash sucking up enormous amounts of VM.  This
# is almost certainly a GCC bug that will need to be analyzed/fixed.  Until
# then, disable LTO.
%define _lto_cflags %{nil}

autoreconf -f -i -v
%configure --enable-kms-only --with-default-dri=3 --enable-tools
make %{?_smp_mflags} V=1

%install
%make_install

find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --

# libXvMC opens the versioned file name, these are useless
rm -f $RPM_BUILD_ROOT%{_libdir}/libI*XvMC.so


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc COPYING
%{driverdir}/intel_drv.so
%{_libdir}/libIntelXvMC.so.1*
%{_libexecdir}/xf86-video-intel-backlight-helper
%{_datadir}/polkit-1/actions/org.x.xf86-video-intel.backlight-helper.policy
%{_mandir}/man4/i*
%{_bindir}/intel-virtual-output

%changelog
